Sync Lesson Plans for a Course
curl --request POST \
--url https://api.alpha-1edtech.ai/powerpath/lessonPlans/course/{courseId}/sync \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/powerpath/lessonPlans/course/{courseId}/sync"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/powerpath/lessonPlans/course/{courseId}/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lessonPlansAffected": [
"<string>"
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}Lesson Plans
Sync Lesson Plans for a Course
Purpose: Bulk synchronization of all lesson plans for a course.
When to use:
- After making significant structural changes to a base course
- When you need to ensure all students have the latest course content
What it does:
-
Finds all lesson plans associated with the course
-
Recreates each lesson plan from the base course structure
-
Applies all historical operations to maintain personalizations
-
Return a list of affected lesson plan ID’s
POST
/
powerpath
/
lessonPlans
/
course
/
{courseId}
/
sync
Sync Lesson Plans for a Course
⌘I